/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the Ext Dependency Manager API License Agreement [1].
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/dependency-manager-ext-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext.dependency.maven20;

import org.bluestemsoftware.specification.eoa.FactoryDependency;
import org.bluestemsoftware.specification.eoa.FeatureDependency;

/**
 * Models a <code>FeatureDependency</code> within context of Maven 2.0 dependency management
 * system. A feature dependency MUST specify scope 'runtime' and type 'eoa-feature'. If
 * 'optional' tag has a value of false, dependency MUST be flagged as a required feaure. If
 * 'optional' tag has a value of true, feature is considered optional.
 * 
 * @see FactoryDependency#getFeatureDependencies()
 */
public interface MavenFeatureDependency extends FeatureDependency {

    public static final String TYPE = "eoa-feature";

    public static final String SCOPE = "runtime";

}
